

class Profile:
    
    def __init__(self, data: dict = None, username: str = None, title: str = None):
        
        if (data is None):
            self._from_value(username, title)
        else:
            self._from_dict(data)
        
    def _from_value(self, username: str, title: str):
        self.username = username
        self.title = title
        return self
    
    def _from_dict(self, data: dict):
        self._from_value(data.get('username'), data.get('title'))
        return self
    
    def __eq__(self, other):
        if isinstance(other, Profile):
            return self.username == other.username and self.title == other.title
        return False
    
    def __ne__(self, other):
        return not self.__eq__(other)
